Skip to main content
`Ctrl`+`K`

# PetscContainerDestroy

Destroys a PETSc container object.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscContainerDestroy(PetscContainer *obj)

Collective, No Fortran Support

## Input Parameter

- obj - an object that was created with `PetscContainerCreate()`

## Note

If `PetscContainerSetUserDestroy()` was used to provide a user destroy object for the data provided with `PetscContainerSetPointer()` then that function is called to destroy the data.

## See Also

`PetscContainerCreate()`, `PetscContainerSetUserDestroy()`, `PetscObject`, `PetscObjectContainerCompose()`, `PetscObjectContainerQuery()`

## Level

advanced

## Location

src/sys/objects/inherit.c

## Examples

src/sys/tutorials/ex7.c
src/sys/tutorials/ex6.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages